#
# spec file for package kgoodstuff (Version 2.0.0pre4)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake docbook-dsssl-stylesheets docbook_3 fam gettext gpp iso_ent jade_dsl kdelibs kdelibs-artsd kdelibs-devel libgpp libjpeg liblcms libmng libmng-devel libpng libtiff libxml2 libz mesa mesa-devel mesasoft qt qt-devel qt-extensions sp sp-devel xf86 xf86glu xf86glu-devel
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils docbook-dsssl-stylesheets docbook_3 e2fsprogs fam file fileutils findutils flex freetype2 gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip iso_ent jade_dsl kbd kdelibs kdelibs-artsd kdelibs-devel less libgpp libjpeg liblcms libmng libmng-devel libpng libtiff libtool libxml2 libz m4 make man mesa mesa-devel mesasoft mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps qt qt-devel qt-extensions rcs readline rpm sendmail sh-utils shadow sp sp-devel strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xf86glu xf86glu-devel xshared

# Commandline:  --kde2
Name:         kgoodstuff
Copyright:    GPL                                                                                            
Group:        X11/KDE/Applications
Provides: kgoodstu
Summary:      A mouse configurable button-bar
Version:      2.0.0pre4
Release:      126
Source0:      kgoodstuff-2.0.0pre4.tar.bz2
Patch0: kgoodstuff-2.0.0pre4.dif

%description
A button-bar like FvwmButtons or TKGoodStuff.

Authors:
--------
    Juergen Vigna <jug@sad.it>

SuSE series: k2de

%prep
%setup -n kgoodstuff-2.0.0pre4
%patch -p 0 -E

%build
%{?suse_update_config:%{suse_update_config -l -f . }}
make -f Makefile.cvs
CXXFLAGS="$CXXFLAGS $RPM_OPT_FLAGS -DNDEBUG " ./configure \
  --prefix=/opt/kde2 \
 --mandir=/usr/share/man/ \
 --with-qt-dir=/usr/lib/qt2/ \
  
make

%install
make install

%files
%doc AUTHORS INSTALL ChangeLog COPYING 
%dir /opt/kde2/share/applnk
%dir /opt/kde2/share/applnk/Applications
%dir /opt/kde2/share/doc/HTML/en/kgoodstuff
%dir /opt/kde2/share/icons/locolor/16x16/apps
%dir /opt/kde2/share/icons/locolor/32x32/apps
/opt/kde2/bin/kgoodstuff
/opt/kde2/share/applnk/Applications/kgoodstuff.desktop
/opt/kde2/share/doc/HTML/en/kgoodstuff/contents.png
/opt/kde2/share/doc/HTML/en/kgoodstuff/contents_motif.png
/opt/kde2/share/doc/HTML/en/kgoodstuff/index.html
/opt/kde2/share/doc/HTML/en/kgoodstuff/kgoodstuff.css
/opt/kde2/share/doc/HTML/en/kgoodstuff/kgoodstuff.html
/opt/kde2/share/doc/HTML/en/kgoodstuff/logotp3.gif
/opt/kde2/share/doc/HTML/en/kgoodstuff/next.png
/opt/kde2/share/doc/HTML/en/kgoodstuff/next_g.png
/opt/kde2/share/doc/HTML/en/kgoodstuff/next_motif.png
/opt/kde2/share/doc/HTML/en/kgoodstuff/next_motif_gr.png
/opt/kde2/share/doc/HTML/en/kgoodstuff/node1.html
/opt/kde2/share/doc/HTML/en/kgoodstuff/node2.html
/opt/kde2/share/doc/HTML/en/kgoodstuff/node3.html
/opt/kde2/share/doc/HTML/en/kgoodstuff/node4.html
/opt/kde2/share/doc/HTML/en/kgoodstuff/node5.html
/opt/kde2/share/doc/HTML/en/kgoodstuff/node6.html
/opt/kde2/share/doc/HTML/en/kgoodstuff/node7.html
/opt/kde2/share/doc/HTML/en/kgoodstuff/prev.png
/opt/kde2/share/doc/HTML/en/kgoodstuff/prev_g.png
/opt/kde2/share/doc/HTML/en/kgoodstuff/previous_motif.png
/opt/kde2/share/doc/HTML/en/kgoodstuff/previous_motif_gr.png
/opt/kde2/share/doc/HTML/en/kgoodstuff/up.png
/opt/kde2/share/doc/HTML/en/kgoodstuff/up_g.png
/opt/kde2/share/doc/HTML/en/kgoodstuff/up_motif.png
/opt/kde2/share/doc/HTML/en/kgoodstuff/up_motif_gr.png
/opt/kde2/share/icons/locolor/16x16/apps/kgoodstuff.xpm
/opt/kde2/share/icons/locolor/32x32/apps/kgoodstuff.xpm

%changelog -n kgoodstuff
* Mon Aug 13 2001 - ro@suse.de
- changed neededforbuild <sp_libs> to <sp-devel>
* Tue Aug 07 2001 - adrian@suse.de
- autoconf 2.52 fixes
* Tue Jul 03 2001 - adrian@suse.de
- autoconf 2.50 fixes
* Sat May 19 2001 - adrian@suse.de
- New version 2.0.0pre4
* Tue May 15 2001 - froh@suse.de
- fixed suse_update_config
* Tue Mar 27 2001 - ro@suse.de
- changed neededforbuild <docbkdsl> to <docbook-dsssl-stylesheets>
* Sun Mar 18 2001 - ro@suse.de
- fixed neededforbuild
* Tue Mar 13 2001 - ro@suse.de
- changed neededforbuild <docbk30> to <docbook_3>
* Thu Mar 01 2001 - ro@suse.de
- added fam to neededforbuild
* Wed Jan 03 2001 - adrian@suse.de
- Spec file created from kgoodstuff-2.0.0pre1.tar.bz2 by autospec
